Download it now!
Bug 31710 - [UI]: Scroll slider for filter value selection invisible if cell with many characters in column
Summary: [UI]: Scroll slider for filter value selection invisible if cell with many ch...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:3.3
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-18 04:11 UTC by Rainer Bielefeld Retired
Modified: 2011-01-13 02:50 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample document for original report (11.09 KB, application/vnd.oasis.opendocument.spreadsheet)
2010-11-18 04:11 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2010-11-18 04:11:55 UTC
Created attachment 40367 [details]
Sample document for original report

Checked with with "LibreOffice 3.3.0Beta3 - WIN XP DE [OOO330m9 (build 3.2.99.2)]"

Steps to reproduce:
1. open attached "sample.ods"
2. click filter button for coumn type
3. Select "Standard Filter -> Value
   expected: Scroll slider remains visible
   actual: Scroll slider becomes invisible

Also visible in my OOo 3.1 and OOo-Dev 3.4
Comment 1 Kohei Yoshida 2010-11-18 20:29:51 UTC
Rainer, by "scroll slider" are you talking about the zoom slider at the right end of the status bar, or the horizontal or vertical scroll bar of the sheet area?
Comment 2 Rainer Bielefeld Retired 2010-11-18 21:30:18 UTC
Vertical scroll slider! I can contribute a screenshot if required.
Comment 3 Kohei Yoshida 2010-11-18 22:21:16 UTC
Ah, never mind, I got it.  It's the pull-down list box on the standard filter dialog.
Comment 4 Kohei Yoshida 2010-11-19 11:55:06 UTC
Let me take a look at this one.
Comment 5 Kohei Yoshida 2010-11-19 15:25:36 UTC
Ok.  Now the dropdown popups of the Values combo boxes won't get automatically resized, and will be horizontally scrollable with the scroll bar at the bottom.

Fixed on the libreoffice-3-3 branch.  The fix will be included in the next beta of 3.3.
Comment 6 sophie 2011-01-13 02:50:46 UTC
Verified - Closed - Sophie